name: krowwithus_client
description: "Krow Client Application"
publish_to: 'none'
version: 0.0.1+M301
resolution: workspace

environment:
  sdk: ^3.10.7

dependencies:
  flutter:
    sdk: flutter

  # Architecture Packages
  design_system:
    path: ../../packages/design_system
  core_localization:
    path: ../../packages/core_localization

  # Feature Packages
  client_authentication:
    path: ../../packages/features/client/authentication
  client_main:
    path: ../../packages/features/client/client_main
  client_home:
    path: ../../packages/features/client/home
  client_coverage:
    path: ../../packages/features/client/client_coverage
  client_settings:
    path: ../../packages/features/client/settings
  client_hubs:
    path: ../../packages/features/client/hubs
  client_create_order:
    path: ../../packages/features/client/create_order
  
  cupertino_icons: ^1.0.8
  flutter_modular: ^6.3.2
  flutter_bloc: ^8.1.3
  flutter_localizations:
    sdk: flutter
  firebase_core: ^4.4.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  rename: ^3.1.0
  flutter_launcher_icons: ^0.14.4

flutter:
  uses-material-design: true
  assets:
    - assets/logo.png
